2019-08-24 00:28 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005349Spring engineGeneralpublic2016-09-18 13:36
ReporterGoogle_Frog 
Assigned Tohokomoko 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target Version104.0Fixed in Version 
Summary0005349: 103.0.1-124-g976888c Spring.Reload instant desync
DescriptionJoining a game with Spring.Reload can cause desync with everyone who joined in the ordinary way (I have not checked whether it desyncs with other Spring.Reload). The desync is simple, none of the units controlled by other players move and the desync messages appear from the start of the game.

The desync seems to consistently occur on every use of Spring.Reload besides the first one. That is, every game except for the first launched with Spring.Reload will desync. It looks like the state is left unclean after a game finishes. I tested with calling Spring.Reload("") between game launch calls.

Chobby report https://github.com/Spring-Chobby/Chobby/issues/299
Steps To Reproduce * Get someone to test with.
 * Start a game with Chobby.
 * Leave the game.
 * Start a multiplayer game with Chobby, have you tester join.
 * Start the game, notice desync.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • ? file icon KingRaptor_ZKL-chobby-desync_20160918_120555_Icy Run v2_103.0.1-124-g976888c develop.sdfz (10,658 bytes) 2016-09-18 06:09
  • txt file icon KingRaptor_ZKL-chobby-desync_20160918_120555_Icy Run v2_103.0.1-124-g976888c develop.txt (61,478 bytes) 2016-09-18 06:11 -
    [ParseCmdLine] command-line args: "C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe --config "C:\Users\Rattlesnark\Documents\My Games\Spring\springsettings.cfg" "C:\Users\Rattlesnark\AppData\Local\Temp\tmpFDB1.tmp""
    Using configuration source: "C:\Users\Rattlesnark\Documents\My Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    BumpWaterShoreWaves = 0
    FontFile = FreeSansBold.otf
    Fullscreen = 0
    HardwareCursor = 1
    InputTextGeo = 0.26 0.73 0.02 0.028
    LastSelectedMap = DarkSide Remake
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Null AI
    LastSelectedSetting = YResolution
    MaxParticles = 20000
    ScreenshotCounter = 216
    ScrollWheelSpeed = -25
    ShadowMapSize = 4096
    Shadows = 1
    ShowFPS = 1
    ShowPlayerInfo = 0
    SmallFontFile = FreeSansBold.otf
    TreeRadius = 1663
    UnitIconDist = 150
    UnitLodDist = 99999
    WindowPosX = 287
    WindowPosY = 84
    WindowState = 0
    WindowedEdgeMove = 0
    XResolution = 1440
    XResolutionWindowed = 1440
    YResolution = 900
    YResolutionWindowed = 900
    snd_volmaster = 78
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, OBJParser, ModelRenderContainer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 103.0.1-124-g976888c develop
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Home Premium Edition, 32-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i5 CPU         760  @ 2.80GHz; 3543MB RAM, 11733MB pagefile
    Word Size:         32-bit (native mode)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1280x720, 1024x768, 1280x768, 1360x768, 1366x768, 1280x800, 1152x864, 1440x900, 1600x900, 1280x960, 1280x1024, 1600x1024, 1680x1050, 1920x1080
    SDL version:  linked 2.0.4; compiled 2.0.4
    GL version:   4.5.0 NVIDIA 368.22
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX 580/PCIe/SSE2
    GLSL version: 4.50 NVIDIA
    GLEW version: 1.5.8
    Video RAM:    total 3072MB, available 2815MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1440x900:24bit @60Hz (windowed)
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog] registering controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Isolation Mode!
    Using read-write data directory: C:\Users\Rattlesnark\Documents\My Games\Spring\
    Using read-only data directory: C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\
    Scanning: C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\base
    Scanning: C:\Users\Rattlesnark\Documents\My Games\Spring\maps
    Scanning: C:\Users\Rattlesnark\Documents\My Games\Spring\games
    Warning: [Watchdog] Hang detection triggered for Spring 103.0.1-124-g976888c develop.
    Warning:   (in thread: main)
    Warning: DLL information:
    Error: 0x00400000	spring
    Error: 0x76db0000	ntdll
    Error: 0x61020000	avghookx
    Error: 0x75c60000	kernel32
    Error: 0x74020000	KERNELBASE
    Error: 0x75ae0000	ADVAPI32
    Error: 0x74450000	msvcrt
    Error: 0x75870000	sechost
    Error: 0x75890000	RPCRT4
    Error: 0x08dc0000	GLU32
    Error: 0x19770000	OPENGL32
    Error: 0x75820000	GDI32
    Error: 0x75e50000	USER32
    Error: 0x75d40000	LPK
    Error: 0x75d50000	USP10
    Error: 0x70f30000	DDRAW
    Error: 0x62350000	DCIMAN32
    Error: 0x742b0000	SETUPAPI
    Error: 0x74260000	CFGMGR32
    Error: 0x753d0000	OLEAUT32
    Error: 0x75460000	ole32
    Error: 0x74290000	DEVOBJ
    Error: 0x73350000	dwmapi
    Error: 0x755c0000	IMAGEHLP
    Error: 0x74780000	SHELL32
    Error: 0x74720000	SHLWAPI
    Error: 0x6f3b0000	WINMM
    Error: 0x757b0000	WS2_32
    Error: 0x757f0000	NSI
    Error: 0x10000000	DevIL
    Error: 0x6f0a0000	MSVCP80
    Error: 0x6f000000	MSVCR80
    Error: 0x6b800000	OpenAL32
    Error: 0x70780000	vorbisfile
    Error: 0x68140000	ogg
    Error: 0x64cc0000	vorbis
    Error: 0x62e80000	zlib1
    Error: 0x70e40000	libfreetype-6
    Error: 0x65180000	libfontconfig-1
    Error: 0x68f40000	libexpat-1
    Error: 0x62aa0000	glew32
    Error: 0x6c740000	SDL2
    Error: 0x75800000	IMM32
    Error: 0x75b90000	MSCTF
    Error: 0x73a60000	VERSION
    Error: 0x701b0000	nvapi
    Error: 0x72d70000	uxtheme
    Error: 0x02110000	UnlockerHook
    Error: 0x73ea0000	apphelp
    Error: 0x6e6a0000	GIMEJA
    Error: 0x6efa0000	input
    Error: 0x6f320000	COMCTL32
    Error: 0x73ac0000	USERENV
    Error: 0x73fa0000	profapi
    Error: 0x6e0f0000	dbghelp
    Error: 0x6cbc0000	api-ms-win-core-synch-l1-2-0
    Error: 0x03dc0000	nvoglv32
    Error: 0x73a70000	WTSAPI32
    Error: 0x74230000	WINTRUST
    Error: 0x74100000	CRYPT32
    Error: 0x74010000	MSASN1
    Error: 0x739b0000	ntmarta
    Error: 0x74500000	WLDAP32
    Error: 0x73f60000	WINSTA
    Error: 0x73ef0000	CRYPTBASE
    Error: 0x74550000	CLBCatQ
    Warning: Stacktrace (main) for Spring 103.0.1-124-g976888c develop:
    Warning: (0) C:\Windows\SYSTEM32\ntdll.dll [0x000470F4]
    Warning: (1) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x008486A4]
    Warning: (2) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007BF78E]
    Warning: (3) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007AB118]
    Warning: (4) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007B2F2E]
    Warning: (5) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007B3502]
    Warning: (6) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007B383C]
    Warning: (7) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007C18A4]
    Warning: (8) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00788268]
    Warning: (9) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0075F336]
    Warning: (10) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00D3BD44]
    Warning: (11) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00401402]
    Warning: (12) C:\Windows\system32\kernel32.dll [0x0004EE6C]
    Warning: (13) C:\Windows\SYSTEM32\ntdll.dll [0x00063A03]
    Warning: (14) C:\Windows\SYSTEM32\ntdll.dll [0x000639D6]
    Scanning: C:\Users\Rattlesnark\Documents\My Games\Spring\packages
    CArchiveScanner: 19990 ms
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Speakers (Realtek High Definition Audio)
    [f=-000001] [Sound]               Speakers (Realtek High Definition Audio)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound]   Max Sounds: 128
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=2
    [f=-000001] [Threading] Main thread CPU affinity mask set: 12
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Rattlesnark\AppData\Local\Temp\tmpFDB1.tmp
    [f=-000001] Connecting to: 37.59.49.101:8452
    [f=-000001] Connecting to 37.59.49.101:8452 using name KingRaptor
    [f=-000001] [InitOpenGL] video mode set to 1440x900:24bit @60Hz (windowed)
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Icy Run v2
    [f=-000001] [AddGameSetupArchivesToVFS] using game: Zero-K v1.4.9.1 (archive: e1610169ecb2beb69ba61724601bc01f.sdp)
    [f=-000001] Warning: Incompatible map-checksum: Checksum of Icy Run v2 (checksum 0x42191a32) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=-000001] Warning: Incompatible game-checksum: Checksum of e1610169ecb2beb69ba61724601bc01f.sdp (checksum 0x9e4dcb21) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=-000001] Recording demo to: C:\Users\Rattlesnark\Documents\My Games\Spring\demos\20160918_120555_Icy Run v2_103.0.1-124-g976888c develop.sdfz
    [f=-000001] PreGame::GameDataReceived: 637 ms
    [f=-000001] [PreGame::UpdateClientNet] user number 1 (team 2, allyteam 0)
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Found new widget "WM Stuff"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [WatchDog] registering controls for thread [load]
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (19 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] Loading UnitDefs_posts
    [f=-000001] Loacing FeatureDefs_posts
    [f=-000001] Loading WeaponDefs_posts
    [f=-000001] Loading ArmorDefs_posts
    [f=-000001] [defs.lua] loading all *Defs tables: 6518ms
    [f=-000001] Game::LoadDefs (GameData): 6742 ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=-000001] [Sound]  parsed 315 sounds from gamedata/sounds.lua
    [f=-000001] [Sound] Error: Unable to open audio file: IncomingChat
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=-000001] Game::LoadDefs (Sound): 59 ms
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] SmoothHeightMesh::MakeSmoothMesh: 14 ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=-000001] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] Loading Weapon Definitions
    [f=-000001] Loading Unit Definitions
    [f=-000001] Warning: starlight: Given yardmap requires 36 extra char(s)!
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "dead2"
    [f=-000001] Loading Feature Definitions
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Error: [LoadFeatureDefsFromMap] unknown map feature type "armckfus_dead"
    [f=-000001] Creating ShadowHandler
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] CSMFGroundTextures::ConvolveHeightMap: 1 ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Warning: [CCEG::Load] table for CEG "custom:gravityless_flamer" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag CExploSpikeProjectile::ttl
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE35" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE37" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE39" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE41" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE43" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE45" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE47" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE48" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE51" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE53" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE55" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE34" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE40" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE42" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE44" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE49" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE52" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE54" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE57" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE58" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE38" invalid (parse errors?)
    [f=-000001] Creating Water
    [f=-000001] Game::LoadInterface (Camera&Mouse): 2344 ms
    [f=-000001] [Sound] Error: Unable to open audio file: MultiSelect
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=-000001] Game::LoadInterface (Console): 346 ms
    [f=-000001] [Sound] Error: Unable to open audio file: FailedCommand
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=-000001] InfoTexture: shaders
    [f=-000001] Loading LuaRules
    [f=-000001] Warning: [GetTexture] unknown 3DO texture "plate1d00" for piece "turret"
    [f=-000001] Warning: [GetTexture] unknown 3DO texture "plate1d00" for piece "turret"
    [f=-000001] Warning: [CheckPieceNormals] piece "lmuzzle" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "lexhaust" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "rmuzzle" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "rexhaust" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "door2" of model "objects3d/corch.s3o" has 4 (of 4) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "pad" of model "objects3d/corplas.s3o" has 25 (of 25) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "door2" of model "objects3d/corplas.s3o" has 4 (of 4) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "post2" of model "objects3d/corplas.s3o" has 16 (of 16) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "nano2" of model "objects3d/corplas.s3o" has 9 (of 9) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "door1" of model "objects3d/corplas.s3o" has 4 (of 4) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "post1" of model "objects3d/corplas.s3o" has 16 (of 16) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "nano1" of model "objects3d/corplas.s3o" has 9 (of 9) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [Watchdog] Hang detection triggered for Spring 103.0.1-124-g976888c develop.
    [f=-000001] Warning:   (in thread: load)
    [f=-000001] Warning: DLL information:
    [f=-000001] Error: 0x00400000	spring
    [f=-000001] Error: 0x76db0000	ntdll
    [f=-000001] Error: 0x61020000	avghookx
    [f=-000001] Error: 0x75c60000	kernel32
    [f=-000001] Error: 0x74020000	KERNELBASE
    [f=-000001] Error: 0x75ae0000	ADVAPI32
    [f=-000001] Error: 0x74450000	msvcrt
    [f=-000001] Error: 0x75870000	sechost
    [f=-000001] Error: 0x75890000	RPCRT4
    [f=-000001] Error: 0x08dc0000	GLU32
    [f=-000001] Error: 0x19770000	OPENGL32
    [f=-000001] Error: 0x75820000	GDI32
    [f=-000001] Error: 0x75e50000	USER32
    [f=-000001] Error: 0x75d40000	LPK
    [f=-000001] Error: 0x75d50000	USP10
    [f=-000001] Error: 0x70f30000	DDRAW
    [f=-000001] Error: 0x62350000	DCIMAN32
    [f=-000001] Error: 0x742b0000	SETUPAPI
    [f=-000001] Error: 0x74260000	CFGMGR32
    [f=-000001] Error: 0x753d0000	OLEAUT32
    [f=-000001] Error: 0x75460000	ole32
    [f=-000001] Error: 0x74290000	DEVOBJ
    [f=-000001] Error: 0x73350000	dwmapi
    [f=-000001] Error: 0x755c0000	IMAGEHLP
    [f=-000001] Error: 0x74780000	SHELL32
    [f=-000001] Error: 0x74720000	SHLWAPI
    [f=-000001] Error: 0x6f3b0000	WINMM
    [f=-000001] Error: 0x757b0000	WS2_32
    [f=-000001] Error: 0x757f0000	NSI
    [f=-000001] Error: 0x10000000	DevIL
    [f=-000001] Error: 0x6f0a0000	MSVCP80
    [f=-000001] Error: 0x6f000000	MSVCR80
    [f=-000001] Error: 0x6b800000	OpenAL32
    [f=-000001] Error: 0x70780000	vorbisfile
    [f=-000001] Error: 0x68140000	ogg
    [f=-000001] Error: 0x64cc0000	vorbis
    [f=-000001] Error: 0x62e80000	zlib1
    [f=-000001] Error: 0x70e40000	libfreetype-6
    [f=-000001] Error: 0x65180000	libfontconfig-1
    [f=-000001] Error: 0x68f40000	libexpat-1
    [f=-000001] Error: 0x62aa0000	glew32
    [f=-000001] Error: 0x6c740000	SDL2
    [f=-000001] Error: 0x75800000	IMM32
    [f=-000001] Error: 0x75b90000	MSCTF
    [f=-000001] Error: 0x73a60000	VERSION
    [f=-000001] Error: 0x701b0000	nvapi
    [f=-000001] Error: 0x72d70000	uxtheme
    [f=-000001] Error: 0x02110000	UnlockerHook
    [f=-000001] Error: 0x73ea0000	apphelp
    [f=-000001] Error: 0x6e6a0000	GIMEJA
    [f=-000001] Error: 0x6efa0000	input
    [f=-000001] Error: 0x6f320000	COMCTL32
    [f=-000001] Error: 0x73ac0000	USERENV
    [f=-000001] Error: 0x73fa0000	profapi
    [f=-000001] Error: 0x6e0f0000	dbghelp
    [f=-000001] Error: 0x6cbc0000	api-ms-win-core-synch-l1-2-0
    [f=-000001] Error: 0x03dc0000	nvoglv32
    [f=-000001] Error: 0x73a70000	WTSAPI32
    [f=-000001] Error: 0x74230000	WINTRUST
    [f=-000001] Error: 0x74100000	CRYPT32
    [f=-000001] Error: 0x74010000	MSASN1
    [f=-000001] Error: 0x739b0000	ntmarta
    [f=-000001] Error: 0x74500000	WLDAP32
    [f=-000001] Error: 0x73f60000	WINSTA
    [f=-000001] Error: 0x73ef0000	CRYPTBASE
    [f=-000001] Error: 0x74550000	CLBCatQ
    [f=-000001] Error: 0x6cfc0000	shfolder
    [f=-000001] Error: 0x72a70000	MMDevApi
    [f=-000001] Error: 0x72db0000	PROPSYS
    [f=-000001] Error: 0x622c0000	dsound
    [f=-000001] Error: 0x73920000	POWRPROF
    [f=-000001] Error: 0x72640000	AUDIOSES
    [f=-000001] Error: 0x0c290000	dinput8
    [f=-000001] Error: 0x73820000	HID
    [f=-000001] Error: 0x02b40000	XInput1_3
    [f=-000001] Error: 0x73730000	mswsock
    [f=-000001] Error: 0x73720000	wship6
    [f=-000001] Error: 0x6ec50000	wshqos
    [f=-000001] Error: 0x739e0000	wshtcpip
    [f=-000001] Warning: Stacktrace (main) for Spring 103.0.1-124-g976888c develop:
    [f=-000001] Warning: (0) C:\Windows\SYSTEM32\ntdll.dll [0x000470F4]
    [f=-000001] Warning: (1) C:\Windows\system32\KERNELBASE.dll [0x00001818]
    [f=-000001] Warning: (2) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0092A6B3]
    [f=-000001] Warning: (3) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0076459C]
    [f=-000001] Warning: (4) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x004472E3]
    [f=-000001] Warning: (5) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00781EE1]
    [f=-000001] Warning: (6) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007883C5]
    [f=-000001] Warning: (7) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0075F336]
    [f=-000001] Warning: (8) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00D3BD44]
    [f=-000001] Warning: (9) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00401402]
    [f=-000001] Warning: (10) C:\Windows\system32\kernel32.dll [0x0004EE6C]
    [f=-000001] Warning: (11) C:\Windows\SYSTEM32\ntdll.dll [0x00063A03]
    [f=-000001] Warning: (12) C:\Windows\SYSTEM32\ntdll.dll [0x000639D6]
    [f=-000001] Warning: Stacktrace (load) for Spring 103.0.1-124-g976888c develop:
    [f=-000001] Warning: (0) C:\Windows\SYSTEM32\ntdll.dll [0x000470F4]
    [f=-000001] Warning: (1) C:\Windows\system32\kernel32.dll [0x00049D12]
    [f=-000001] Warning: (2) C:\Windows\system32\msvcrt.dll [0x0001C3B3]
    [f=-000001] Warning: (3) C:\Windows\system32\msvcrt.dll [0x0001C2BC]
    [f=-000001] Warning: (4) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\zlib1.dll [0x00006085]
    [f=-000001] Warning: (5) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\zlib1.dll [0x0000619D]
    [f=-000001] Warning: (6) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\zlib1.dll [0x00006372]
    [f=-000001] Warning: (7) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\zlib1.dll [0x000067C3]
    [f=-000001] Warning: (8) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\zlib1.dll [0x00006B07]
    [f=-000001] Warning: (9) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00876254]
    [f=-000001] Warning: (10) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0087A324]
    [f=-000001] Warning: (11) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00874AD8]
    [f=-000001] Warning: (12) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007C51CB]
    [f=-000001] Warning: (13) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007BA075]
    [f=-000001] Warning: (14) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007BA17E]
    [f=-000001] Warning: (15) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007BA628]
    [f=-000001] Warning: (16) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x006DA579]
    [f=-000001] Warning: (17) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x006E3E9B]
    [f=-000001] Warning: (18) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x006E4E56]
    [f=-000001] Warning: (19) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x006E5393]
    [f=-000001] Warning: (20) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x009956AE]
    [f=-000001] Warning: (21) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x005DADCD]
    [f=-000001] Warning: (22) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00862E40]
    [f=-000001] Warning: (23) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0085A52C]
    [f=-000001] Warning: (24) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x008630BF]
    [f=-000001] Warning: (25) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00865087]
    [f=-000001] Warning: (26) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x008649E9]
    [f=-000001] Warning: (27) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00865E0D]
    [f=-000001] Warning: (28) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00863100]
    [f=-000001] Warning: (29) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00AC1608]
    [f=-000001] Warning: (30) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00854ED0]
    [f=-000001] Warning: (31) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x008625BC]
    [f=-000001] Warning: (32) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0085546E]
    [f=-000001] Warning: (33) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x008632A3]
    [f=-000001] Warning: (34) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00854521]
    [f=-000001] Warning: (35) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0085A0CF]
    [f=-000001] Warning: (36) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00862E40]
    [f=-000001] Warning: (37) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0086346C]
    [f=-000001] Warning: (38) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00866229]
    [f=-000001] Warning: (39) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00863100]
    [f=-000001] Warning: (40) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00AC1608]
    [f=-000001] Warning: (41) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00854ED0]
    [f=-000001] Warning: (42) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x008625BC]
    [f=-000001] Warning: (43) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0085828C]
    [f=-000001] Warning: (44) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0085529F]
    [f=-000001] Warning: (45) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x008632A3]
    [f=-000001] Warning: (46) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0085656A]
    [f=-000001] Warning: (47) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x005E7E12]
    [f=-000001] Warning: (48) C:\Windows\SYSTEM32\ntdll.dll [0x00052CD8]
    [f=-000001] Warning: (49) C:\Windows\SYSTEM32\ntdll.dll [0x00070372]
    [f=-000001] Warning: (50) C:\Windows\SYSTEM32\ntdll.dll [0x00055FE4]
    [f=-000001] Warning: (51) C:\Windows\SYSTEM32\ntdll.dll [0x00052FD7]
    [f=-000001] Warning: (52) C:\Windows\SYSTEM32\ntdll.dll [0x00052FD7]
    [f=-000001] Warning: (53) C:\Windows\SYSTEM32\ntdll.dll [0x00052FD7]
    [f=-000001] Warning: (54) C:\Windows\SYSTEM32\ntdll.dll [0x00052E72]
    [f=-000001] Warning: (55) C:\Windows\SYSTEM32\ntdll.dll [0x00052E72]
    [f=-000001] Warning: (56) C:\Windows\SYSTEM32\ntdll.dll [0x00052FD7]
    [f=-000001] Warning: (57) C:\Windows\SYSTEM32\ntdll.dll [0x00052E72]
    [f=-000001] Warning: (58) C:\Windows\system32\WINMM.DLL [0x0000270C]
    [f=-000001] Warning: (59) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007639B6]
    [f=-000001] Warning: Stacktrace (audio) for Spring 103.0.1-124-g976888c develop:
    [f=-000001] Warning: (0) C:\Windows\SYSTEM32\ntdll.dll [0x000470F4]
    [f=-000001] Warning: (1) C:\Windows\system32\kernel32.dll [0x0004BE76]
    [f=-000001] Warning: (2) C:\Windows\system32\kernel32.dll [0x0004BEE4]
    [f=-000001] Warning: (3) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0092A3E2]
    [f=-000001] Warning: (4) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0080F09C]
    [f=-000001] Warning: (5) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00B6C8C7]
    [f=-000001] Warning: (6) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00B605AD]
    [f=-000001] Warning: (7) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x009270A6]
    [f=-000001] Warning: (8) C:\Windows\system32\kernel32.dll [0x0004EE6C]
    [f=-000001] Warning: (9) C:\Windows\SYSTEM32\ntdll.dll [0x00063A03]
    [f=-000001] Warning: (10) C:\Windows\SYSTEM32\ntdll.dll [0x000639D6]
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Total: 65 quads
    [f=-000001] Setting morph for custom comms for player: 1
    [f=-000001] Setting morph for custom comms for player: 0
    [f=-000001] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=-000001] Initializing gadget
    [f=-000001] LUARULES-DRAW  (GADGETS)
    [f=-000001] Warning: [Watchdog] Hang detection triggered for Spring 103.0.1-124-g976888c develop.
    [f=-000001] Warning:   (in thread: load)
    [f=-000001] Warning: DLL information:
    [f=-000001] Error: 0x00400000	spring
    [f=-000001] Error: 0x76db0000	ntdll
    [f=-000001] Error: 0x61020000	avghookx
    [f=-000001] Error: 0x75c60000	kernel32
    [f=-000001] Error: 0x74020000	KERNELBASE
    [f=-000001] Error: 0x75ae0000	ADVAPI32
    [f=-000001] Error: 0x74450000	msvcrt
    [f=-000001] Error: 0x75870000	sechost
    [f=-000001] Error: 0x75890000	RPCRT4
    [f=-000001] Error: 0x08dc0000	GLU32
    [f=-000001] Error: 0x19770000	OPENGL32
    [f=-000001] Error: 0x75820000	GDI32
    [f=-000001] Error: 0x75e50000	USER32
    [f=-000001] Error: 0x75d40000	LPK
    [f=-000001] Error: 0x75d50000	USP10
    [f=-000001] Error: 0x70f30000	DDRAW
    [f=-000001] Error: 0x62350000	DCIMAN32
    [f=-000001] Error: 0x742b0000	SETUPAPI
    [f=-000001] Error: 0x74260000	CFGMGR32
    [f=-000001] Error: 0x753d0000	OLEAUT32
    [f=-000001] Error: 0x75460000	ole32
    [f=-000001] Error: 0x74290000	DEVOBJ
    [f=-000001] Error: 0x73350000	dwmapi
    [f=-000001] Error: 0x755c0000	IMAGEHLP
    [f=-000001] Error: 0x74780000	SHELL32
    [f=-000001] Error: 0x74720000	SHLWAPI
    [f=-000001] Error: 0x6f3b0000	WINMM
    [f=-000001] Error: 0x757b0000	WS2_32
    [f=-000001] Error: 0x757f0000	NSI
    [f=-000001] Error: 0x10000000	DevIL
    [f=-000001] Error: 0x6f0a0000	MSVCP80
    [f=-000001] Error: 0x6f000000	MSVCR80
    [f=-000001] Error: 0x6b800000	OpenAL32
    [f=-000001] Error: 0x70780000	vorbisfile
    [f=-000001] Error: 0x68140000	ogg
    [f=-000001] Error: 0x64cc0000	vorbis
    [f=-000001] Error: 0x62e80000	zlib1
    [f=-000001] Error: 0x70e40000	libfreetype-6
    [f=-000001] Error: 0x65180000	libfontconfig-1
    [f=-000001] Error: 0x68f40000	libexpat-1
    [f=-000001] Error: 0x62aa0000	glew32
    [f=-000001] Error: 0x6c740000	SDL2
    [f=-000001] Error: 0x75800000	IMM32
    [f=-000001] Error: 0x75b90000	MSCTF
    [f=-000001] Error: 0x73a60000	VERSION
    [f=-000001] Error: 0x701b0000	nvapi
    [f=-000001] Error: 0x72d70000	uxtheme
    [f=-000001] Error: 0x02110000	UnlockerHook
    [f=-000001] Error: 0x73ea0000	apphelp
    [f=-000001] Error: 0x6e6a0000	GIMEJA
    [f=-000001] Error: 0x6efa0000	input
    [f=-000001] Error: 0x6f320000	COMCTL32
    [f=-000001] Error: 0x73ac0000	USERENV
    [f=-000001] Error: 0x73fa0000	profapi
    [f=-000001] Error: 0x6e0f0000	dbghelp
    [f=-000001] Error: 0x6cbc0000	api-ms-win-core-synch-l1-2-0
    [f=-000001] Error: 0x03dc0000	nvoglv32
    [f=-000001] Error: 0x73a70000	WTSAPI32
    [f=-000001] Error: 0x74230000	WINTRUST
    [f=-000001] Error: 0x74100000	CRYPT32
    [f=-000001] Error: 0x74010000	MSASN1
    [f=-000001] Error: 0x739b0000	ntmarta
    [f=-000001] Error: 0x74500000	WLDAP32
    [f=-000001] Error: 0x73f60000	WINSTA
    [f=-000001] Error: 0x73ef0000	CRYPTBASE
    [f=-000001] Error: 0x74550000	CLBCatQ
    [f=-000001] Error: 0x6cfc0000	shfolder
    [f=-000001] Error: 0x72a70000	MMDevApi
    [f=-000001] Error: 0x72db0000	PROPSYS
    [f=-000001] Error: 0x622c0000	dsound
    [f=-000001] Error: 0x73920000	POWRPROF
    [f=-000001] Error: 0x72640000	AUDIOSES
    [f=-000001] Error: 0x0c290000	dinput8
    [f=-000001] Error: 0x73820000	HID
    [f=-000001] Error: 0x02b40000	XInput1_3
    [f=-000001] Error: 0x73730000	mswsock
    [f=-000001] Error: 0x73720000	wship6
    [f=-000001] Error: 0x6ec50000	wshqos
    [f=-000001] Error: 0x739e0000	wshtcpip
    [f=-000001] Warning: Stacktrace (main) for Spring 103.0.1-124-g976888c develop:
    [f=-000001] Warning: (0) C:\Windows\SYSTEM32\ntdll.dll [0x000470F4]
    [f=-000001] Warning: (1) C:\Windows\system32\KERNELBASE.dll [0x00001818]
    [f=-000001] Warning: (2) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0092A6B3]
    [f=-000001] Warning: (3) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0076459C]
    [f=-000001] Warning: (4) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x004472E3]
    [f=-000001] Warning: (5) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00781EE1]
    [f=-000001] Warning: (6) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x007883C5]
    [f=-000001] Warning: (7) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0075F336]
    [f=-000001] Warning: (8) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00D3BD44]
    [f=-000001] Warning: (9) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00401402]
    [f=-000001] Warning: (10) C:\Windows\system32\kernel32.dll [0x0004EE6C]
    [f=-000001] Warning: (11) C:\Windows\SYSTEM32\ntdll.dll [0x00063A03]
    [f=-000001] Warning: (12) C:\Windows\SYSTEM32\ntdll.dll [0x000639D6]
    [f=-000001] Warning: Stacktrace (load) for Spring 103.0.1-124-g976888c develop:
    [f=-000001] Warning: (0) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0085DA85]
    [f=-000001] Warning: (1) Unknown [0x2BD401AC]
    [f=-000001] Warning: (2) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00AC1666]
    [f=-000001] Warning: (3) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00CFE6F3]
    [f=-000001] Warning: (4) C:\Windows\system32\msvcrt.dll [0x000098CD]
    [f=-000001] Warning: (5) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00C19288]
    [f=-000001] Warning: (6) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00C1A776]
    [f=-000001] Warning: (7) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00AC1666]
    [f=-000001] Warning: (8) Unknown [0x0D4BE7AC]
    [f=-000001] Warning: (9) Unknown [0x13C80948]
    [f=-000001] Warning: (10) Unknown [0x78000000]
    [f=-000001] Warning: (11) Unknown [0x77000000]
    [f=-000001] Warning: (12) Unknown [0x76000000]
    [f=-000001] Warning: (13) Unknown [0x79000000]
    [f=-000001] Warning: (14) Unknown [0x78000000]
    [f=-000001] Warning: (15) Unknown [0xC0000000]
    [f=-000001] Warning: (16) Unknown [0x0100009B]
    [f=-000001] Warning: (17) Unknown [0xC7000000]
    [f=-000001] Warning: (18) Unknown [0x7200009B]
    [f=-000001] Warning: (19) Unknown [0xCB000000]
    [f=-000001] Warning: Stacktrace (audio) for Spring 103.0.1-124-g976888c develop:
    [f=-000001] Warning: (0) C:\Windows\SYSTEM32\ntdll.dll [0x000470F4]
    [f=-000001] Warning: (1) C:\Windows\system32\kernel32.dll [0x0004BE76]
    [f=-000001] Warning: (2) C:\Windows\system32\kernel32.dll [0x0004BEE4]
    [f=-000001] Warning: (3) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0092A3E2]
    [f=-000001] Warning: (4) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x0080F09C]
    [f=-000001] Warning: (5) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00B6C8C7]
    [f=-000001] Warning: (6) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x00B605AD]
    [f=-000001] Warning: (7) C:\Users\Rattlesnark\Documents\My Games\Spring\engine\103.0.1-124-g976888c\spring.exe [0x009270A6]
    [f=-000001] Warning: (8) C:\Windows\system32\kernel32.dll [0x0004EE6C]
    [f=-000001] Warning: (9) C:\Windows\SYSTEM32\ntdll.dll [0x00063A03]
    [f=-000001] Warning: (10) C:\Windows\SYSTEM32\ntdll.dll [0x000639D6]
    [f=-000001] LUARULES-DRAW  (GADGETS)
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Loading last game win data
    [f=-000001] Resetting win data
    [f=-000001] Last game player count: 1, This game player count: 2
    [f=-000001] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=-000001] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=-000001] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=-000001] Loaded API widget:  i18n                <api_i18n.lua>
    [f=-000001] Loaded API widget:  Startbox API        <api_startboxes.lua>
    [f=-000001] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=-000001] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=-000001] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=-000001] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded API widget:  Pre-Selection Handler  <api_preselection.lua>
    [f=-000001] Loaded widget:  Deferred rendering  <gfx_deferred_rendering.lua>
    [f=-000001] Hardware mouse-cursor is enabled!
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] Ground-decals rendering is enabled!
    [f=-000001] Set maximum particles to: 20000
    [f=-000001] Set UnitLodDist to 99999
    [f=-000001] Set UnitIconDist to 150
    [f=-000001] model shaders is enabled!
    [f=-000001] KingRaptor ENABLE TTS
    [f=-000001] KingRaptor TTS VOLUME 39
    [f=-000001] KingRaptor ENABLE TTS
    [f=-000001] KingRaptor TTS VOLUME 39
    [f=-000001] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=-000001] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=-000001] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=-000001] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=-000001] Mexspot Fetcher fetching
    [f=-000001] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=-000001] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=-000001] Loaded widget:  BlurApi             <api_gfx_blur.lua>
    [f=-000001] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=-000001] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=-000001] Loaded widget:  Noises              <snd_noises.lua>
    [f=-000001] Loaded widget:  Chili Commander Upgrade  <gui_chili_commander_upgrade.lua>
    [f=-000001] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=-000001] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=-000001] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=-000001] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=-000001] Loaded widget:  Win Counter         <win_counter.lua>
    [f=-000001] Loaded widget:  Cloak Fire State 2  <unit_cloakfirestate2.lua>
    [f=-000001] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=-000001] Loaded widget:  Unit Marker Zero-K  <unit_marker.lua>
    [f=-000001] Loaded widget:  Autoquit            <autoquit.lua>
    [f=-000001] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=-000001] Loaded widget:  ComCounter          <unit_com_counter.lua>
    [f=-000001] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=-000001] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=-000001] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=-000001] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=-000001] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=-000001] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=-000001] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=-000001] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=-000001] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=-000001] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=-000001] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=-000001] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=-000001] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=-000001] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=-000001] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=-000001] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=-000001] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=-000001] Loaded widget:  News Ticker         <gui_news_ticker.lua>
    [f=-000001] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=-000001] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=-000001] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=-000001] Loaded widget:  Chili Economy Panel Default  <gui_chili_economy_panel2.lua>
    [f=-000001] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=-000001] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=-000001] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=-000001] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=-000001] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=-000001] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=-000001] Loaded widget:  Music Player        <snd_music.lua>
    [f=-000001] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=-000001] Loaded widget:  In-game Guide       <gui_ingame_guide.lua>
    [f=-000001] Loaded widget:  Morph Finished notification  <unit_morph_finished.lua>
    [f=-000001] Loaded widget:  Antinuke Coverage   <gui_antinuke_coverage.lua>
    [f=-000001] Loaded widget:  Chili Inactivity Win  <gui_chili_inactivity_win.lua>
    [f=-000001] Loaded widget:  Chili Spectator Panels  <gui_chili_spectator_panels.lua>
    [f=-000001] Loaded widget:  Orbit Command       <cmd_orbit.lua>
    [f=-000001] Loaded widget:  Chili Nuke Warning  <gui_chili_nuke_warning.lua>
    [f=-000001] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=-000001] Loaded widget:  Projectile Lights   <gfx_projectile_lights.lua>
    [f=-000001] Loaded widget:  Transport Load Double Tap  <cmd_select_load.lua>
    [f=-000001] Loaded widget:  Economic Victory Announcer  <gui_economic_victory_announcer.lua>
    [f=-000001] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=-000001] Loaded widget:  Mission Results Handler  <mission_results.lua>
    [f=-000001] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=-000001] Loaded widget:  Clippy Comments     <unit_clippy.lua>
    [f=-000001] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=-000001] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=-000001] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=-000001] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=-000001] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=-000001] Loaded widget:  Decloak Range       <unit_decloak_range.lua>
    [f=-000001] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=-000001] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=-000001] <Replay control buttons> Live mode. Widget removed.
    [f=-000001] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=-000001] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=-000001] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=-000001] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=-000001] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=-000001] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=-000001] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=-000001] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=-000001] Loaded widget:  Icon Sets           <gui_icon_sets.lua>
    [f=-000001] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=-000001] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=-000001] Loaded widget:  MessageBoxes ZK     <mission_messagebox_zk.lua>
    [f=-000001] Loaded widget:  Map Edge Extension  <map_edge_extension.lua>
    [f=-000001] Marketplace and Bounty Icons: Widget removed.
    [f=-000001] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=-000001] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=-000001] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=-000001] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=-000001] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=-000001] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=-000001] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=-000001] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=-000001] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=-000001] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=-000001] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=-000001] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=-000001] Loaded widget:  Smoke Signal        <gfx_lups_smokesignal.lua>
    [f=-000001] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=-000001] Loaded widget:  Vertical Line on Radar Dots v2  <gui_vertlineaid.lua>
    [f=-000001] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=-000001] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=-000001] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=-000001] Chili: tried to add multiple times "scrollpanel1" to "Player List"!
    [f=-000001] Loaded widget:  Chili Deluxe Player List - Alpha 2.02  <gui_chili_deluxeplayerlist.lua>
    [f=-000001] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=-000001] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=-000001] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=-000001] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=-000001] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=-000001] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=-000001] Loaded widget:  Combo Overhead/Free Camera (experimental)  <camera_cofc.lua>
    [f=-000001] Loaded widget:  Start Boxes         <minimap_startbox_new.lua>
    [f=-000001] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=-000001] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=-000001] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=-000001] Loaded widget:  Chili Gesture Menu  <gui_chili_gesture_menu.lua>
    [f=-000001] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=-000001] SetSunLighting
    [f=-000001] Loaded widget:  Sun and Atmosphere Handler.  <gfx_sun_and_atmosphere.lua>
    [f=-000001] KingRaptor ENABLE TTS
    [f=-000001] KingRaptor TTS VOLUME 39
    [f=-000001] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=-000001] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=-000001] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=-000001] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=-000001] Loaded widget:  Persistent Build Height  <gui_persistent_build_height.lua>
    [f=-000001] Writing last game win data
    [f=-000001] LuaUI v0.3
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=2323898458
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=4124909282
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=281051622
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=666
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=8
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=2434892818
    [f=-000001] PathCosts: creating PE8 cache with 4 PF threads (11 MB)
    [f=-000001] PathCosts: precached 56 of 3072 blocks
    [f=-000001] PathCosts: precached 1160 of 3072 blocks
    [f=-000001] PathCosts: precached 2574 of 3072 blocks
    [f=-000001] PathCosts: precached 2766 of 3072 blocks
    [f=-000001] PathCosts: writing
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=2323898458
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=4124909282
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=281051622
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=666
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=8
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::WriteFile] hash=2434892818
    [f=-000001] PathCosts: written
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=2323898458
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=4124909282
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=281051622
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=666
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=2434892842
    [f=-000001] PathCosts: creating PE32 cache with 4 PF threads (6 MB)
    [f=-000001] PathCosts: precached 0 of 192 blocks
    [f=-000001] PathCosts: precached 25 of 192 blocks
    [f=-000001] PathCosts: precached 37 of 192 blocks
    [f=-000001] PathCosts: precached 51 of 192 blocks
    [f=-000001] PathCosts: precached 103 of 192 blocks
    [f=-000001] PathCosts: writing
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=2323898458
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=4124909282
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=281051622
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=666
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::WriteFile] hash=2434892842
    [f=-000001] PathCosts: written
    [f=-000001] [LoadFinalize] finalized PFS (796ms, checksum c345c034)
    [f=-000001] [WatchDog] deregistering controls for thread [load]
    [f=-000001] Mex Placement Initialised with 12 spots.
    [f=-000001] Switching to Free style camera
    [f=-000001] GameID: 8c12de5793e9a855ce8c88d4078101e2
    [f=-000001] Connection attempt from GoogleFrog
    [f=-000001]  -> Version: 103.0.1-124-g976888c develop
    [f=-000001] Epicmenu: Switching to COFC camera mode
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Skirmish AI "Null AI (1)" (ID:0) took over control of team 1
    [f=-000001] Connection attempt from KingRaptor
    [f=-000001]  -> Version: 103.0.1-124-g976888c develop
    [f=-000001]  -> Connection established (given id 1)
    [f=-000001] <GoogleFrog> Allies: I choose: Walky!
    [f=-000001] <KingRaptor> Allies: I choose: Strike Trainer!
    [f=-000001] Chili: tried to add multiple times "scrollpanel6" to "Player List"!
    [f=0000148] Sync error for KingRaptor in frame 0 (got a7bf9470, correct is 167a8450)
    [f=0000315] <GoogleFrog> Allies: good
    [f=0000388] Sync error for KingRaptor in frame 357 (got 4d49748e, correct is 64b1ae03)
    [f=0000625] <GoogleFrog> !exit
    [f=0000625] > exiting game
    [f=0000625] Server shutdown
    [f=0000625] <autoquit> Automatically exiting in 10 seconds. Move mouse to cancel.
    [f=0000625] <autoquit> Autoquit canceled.
    [f=0000625] [QuitAction] user exited to system
    [f=0000625] [SpringApp::ShutDown][1]
    [f=0000625] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0000625] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0000625] [SpringApp::ShutDown][2]
    [f=0000625] [KillLua][1]
    [f=0000625] [KillLua][2]
    [f=0000625] Start gadgetHandler:Shutdown
    [f=0000625] Shutdown - UnitMorph
    [f=0000625] Shutdown - LupsNanoSpray
    [f=0000625] Shutdown - Modular Comm Info
    [f=0000625] Shutdown - Puppy Handler
    [f=0000625] Shutdown - StartSetup
    [f=0000625] Shutdown - Terrain Texture Handler
    [f=0000625] Shutdown - UnitCloakShield
    [f=0000625] End gadgetHandler:Shutdown
    [f=0000625] Start gadgetHandler:Shutdown
    [f=0000625] Shutdown - UnitMorph
    [f=0000625] Shutdown - Modular Comm Info
    [f=0000625] Shutdown - Shockwaves
    [f=0000625] Shutdown - UnitCloakShield
    [f=0000625] Shutdown - Lups Cloak FX
    [f=0000625] Shutdown - Lups
    [f=0000625] End gadgetHandler:Shutdown
    [f=0000625] [KillLua][3]
    [f=0000625] Start widgetHandler:Shutdown
    [f=0000625] Shutdown - SaveOrderList Complete
    [f=0000625] Writing last game win data
    [f=0000625] Shutdown - SaveConfigData Complete
    [f=0000625] Shutdown Widget - Deferred rendering
    [f=0000625] Shutdown Widget - EPIC Menu
    [f=0000625] Shutdown Widget - Chili Widget Selector
    [f=0000625] Shutdown Widget - Chili Minimap
    [f=0000625] Shutdown Widget - Local Team Colors
    [f=0000625] Shutdown Widget - BlurApi
    [f=0000625] Shutdown Widget - Unit Icons
    [f=0000625] Shutdown Widget - HealthBars
    [f=0000625] Shutdown Widget - Noises
    [f=0000625] Shutdown Widget - BuildETA
    [f=0000625] Shutdown Widget - Win Counter
    [f=0000625] Shutdown Widget - Modular Comm Info
    [f=0000625] Shutdown Widget - Darkening
    [f=0000625] Shutdown Widget - Highlight Geos
    [f=0000625] Shutdown Widget - MinimapEvents
    [f=0000625] Shutdown Widget - Mex Placement Handler
    [f=0000625] Shutdown Widget - Missile Silo Range
    [f=0000625] Shutdown Widget - Local Widgets Config
    [f=0000625] Shutdown Widget - Startup Info and Selector
    [f=0000625] Shutdown Widget - CameraShake
    [f=0000625] Shutdown Widget - Chili EndGame Window
    [f=0000625] Shutdown Widget - Chili Economy Panel Default
    [f=0000625] Shutdown Widget - Context Menu
    [f=0000625] Shutdown Widget - Chili Selections & CursorTip
    [f=0000625] Shutdown Widget - Music Player
    [f=0000625] Shutdown Widget - Morph Finished notification
    [f=0000625] Shutdown Widget - Chili Spectator Panels
    [f=0000625] Shutdown Widget - Chili Nuke Warning
    [f=0000625] Shutdown Widget - Transport AI
    [f=0000625] Shutdown Widget - Attack Warning
    [f=0000625] Shutdown Widget - Attack AoE
    [f=0000625] Shutdown Widget - UnitShapes
    [f=0000625] Shutdown Widget - MessageBoxes ZK
    [f=0000625] Shutdown Widget - Map Edge Extension
    [f=0000625] Shutdown Widget - Selection Send
    [f=0000625] Shutdown Widget - Units on Fire
    [f=0000625] Shutdown Widget - Smoke Signal
    [f=0000625] Shutdown Widget - LupsManager
    [f=0000625] Shutdown Widget - Newton Firezone
    [f=0000625] Shutdown Widget - Receive Units Indicator
    [f=0000625] Shutdown Widget - Chili Deluxe Player List - Alpha 2.02
    [f=0000625] Shutdown Widget - Chili Pro Console
    [f=0000625] Shutdown Widget - Chili Framework
    [f=0000625] Shutdown Widget - Lups
    [f=0000625] Shutdown Widget - Chili Core Selector
    [f=0000625] Shutdown Widget - Combo Overhead/Free Camera (experimental)
    [f=0000625] Switching to Overhead (TA) style camera
    [f=0000625] Shutdown Widget - Pause Screen
    [f=0000625] Shutdown Widget - Chili Gesture Menu
    [f=0000625] Shutdown Widget - Text To Speech Control
    [f=0000625] KingRaptor DISABLE TTS
    [f=0000625] Shutdown Widget - Lasso Terraform GUI
    [f=0000625] Shutdown Widget - Chili Integral Menu
    [f=0000625] Shutdown Widget - Persistent Build Height
    [f=0000625] End widgetHandler:Shutdown
    [f=0000625] [KillLua][4]
    [f=0000625] [~CGame]1]
    [f=0000625] [KillLua][1]
    [f=0000625] [KillLua][2]
    [f=0000625] [KillLua][3]
    [f=0000625] [KillLua][4]
    [f=0000625] [KillMisc][1]
    [f=0000625] [KillMisc][2]
    [f=0000625] [KillRendering][1]
    [f=0000625] [KillInterface][1]
    [f=0000625] [KillInterface][2]
    [f=0000625] [KillSimulation][1]
    [f=0000625] [KillSimulation][2]
    [f=0000625] [CCollisionHandler] dis-/continuous tests: 0/27570
    [f=0000625] [KillSimulation][3]
    [f=0000625] [~CPathCache(24x8)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000625] [~CPathCache(24x8)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000625] [~CPathCache(96x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000625] [~CPathCache(96x32)] cacheHits=324 hitPercentage=1% numHashColls=0 maxCacheSize=201
    [f=0000625] Statistics for RectangleOptimizer: 0%
    [f=0000625] Statistics for RectangleOptimizer: 0%
    [f=0000625] LosHandler stats: total instances=6; shared=0%; from cache=17%
    [f=0000625] [KillSimulation][4]
    [f=0000625] [~CGame][2]
    [f=0000625] [~CGame][3]
    [f=0000625] [SpringApp::ShutDown][3]
    [f=0000625] Statistics for UDP connection:
    Received: 19797 bytes in 744 packets (26.6089 bytes/package)
    Sent: 15304 bytes in 702 packets (21.8006 bytes/package)
    Relative protocol overhead: 0 up, 0.225489 down
    149 incoming chunks dropped, 21 outgoing chunks resent
    
    [f=0000625] Writing demo: C:\Users\Rattlesnark\Documents\My Games\Spring\demos\20160918_120555_Icy Run v2_103.0.1-124-g976888c develop.sdfz
    [f=0000625] [SpringApp::ShutDown][4]
    [f=0000625] [WatchDog] deregistering controls for thread [audio]
    [f=0000625] [SpringApp::ShutDown][5]
    [f=0000625] [SpringApp::ShutDown][6]
    [f=0000625] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  37.59.49.101 8452
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=0249d958
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
  • txt file icon GoogleFrog_infolog.txt (578,091 bytes) 2016-09-18 06:13
  • ? file icon GoogleFrog 20160918_140506_Icy Run v2_103.0.1-124-g976888c develop.sdfz (11,199 bytes) 2016-09-18 06:13

-Relationships
+Relationships

-Notes

~0016673

silentwings (reporter)

Last edited: 2016-09-16 11:15

View 2 revisions

Iirc handling online play was deliberately not part of the design spec for Spring.Reload, its somewhere in https://springrts.com/phpbb/viewtopic.php?f=86&t=32893

But I agree that it would be a nice feature!

~0016674

abma (administrator)

Last edited: 2016-09-16 19:31

View 2 revisions

infolog.txt's? replays?


possible some call to RemoveArchive is missing.

~0016682

KingRaptor (reporter)

Uploaded my infolog and replay.

(Was ZKL user, playing with GoogleFrog as Chobby user)

~0016683

Google_Frog (reporter)

I found KingRaptor and got a replay out of him.

~0016685

hokomoko (developer)

Fix 98e397983e676b8df7baeff1a71f03d16013bcd4 committed to develop branch: Fix 0005349, repo: spring changeset id: 7369
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-09-15 17:35 Google_Frog New Issue
2016-09-16 11:15 silentwings Note Added: 0016673
2016-09-16 11:15 silentwings Note Edited: 0016673 View Revisions
2016-09-16 19:30 abma Note Added: 0016674
2016-09-16 19:31 abma Note Edited: 0016674 View Revisions
2016-09-16 19:31 abma Severity major => crash
2016-09-17 03:20 abma Target Version => 104.0
2016-09-18 06:09 KingRaptor File Added: KingRaptor_ZKL-chobby-desync_20160918_120555_Icy Run v2_103.0.1-124-g976888c develop.sdfz
2016-09-18 06:11 KingRaptor File Added: KingRaptor_ZKL-chobby-desync_20160918_120555_Icy Run v2_103.0.1-124-g976888c develop.txt
2016-09-18 06:11 KingRaptor Note Added: 0016682
2016-09-18 06:12 Google_Frog Note Added: 0016683
2016-09-18 06:13 Google_Frog File Added: GoogleFrog_infolog.txt
2016-09-18 06:13 Google_Frog File Added: GoogleFrog 20160918_140506_Icy Run v2_103.0.1-124-g976888c develop.sdfz
2016-09-18 13:36 hokomoko Changeset attached => spring develop 98e39798
2016-09-18 13:36 hokomoko Note Added: 0016685
2016-09-18 13:36 hokomoko Assigned To => hokomoko
2016-09-18 13:36 hokomoko Status new => resolved
2016-09-18 13:36 hokomoko Resolution open => fixed
+Issue History